Index: src/other/Eigen/Eigen/src/PaStiXSupport/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/PaStiXSupport/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/PaStiXSupport/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_PastixSupport_SRCS "*.h")
+file(GLOB Eigen_PastixSupport_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_PastixSupport_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/PaStiXSupport COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/SparseCore/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/SparseCore/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/SparseCore/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_SparseCore_SRCS "*.h")
+file(GLOB Eigen_SparseCore_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_SparseCore_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/SparseCore COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Eigen2Support/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Eigen2Support/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Eigen2Support/CMakeLists.txt	(working copy)
@@ -1,8 +1,8 @@
-FILE(GLOB Eigen_Eigen2Support_SRCS "*.h")
+file(GLOB Eigen_Eigen2Support_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Eigen2Support_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Eigen2Support COMPONENT Devel
   )
 
-ADD_SUBDIRECTORY(Geometry)
\ No newline at end of file
+add_subdirectory(Geometry)
Index: src/other/Eigen/Eigen/src/Eigen2Support/Geometry/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Eigen2Support/Geometry/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Eigen2Support/Geometry/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Eigen2Support_Geometry_SRCS "*.h")
+file(GLOB Eigen_Eigen2Support_Geometry_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Eigen2Support_Geometry_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Eigen2Support/Geometry
   )
Index: src/other/Eigen/Eigen/src/Eigenvalues/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Eigenvalues/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Eigenvalues/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_EIGENVALUES_SRCS "*.h")
+file(GLOB Eigen_EIGENVALUES_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_EIGENVALUES_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Eigenvalues COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/MetisSupport/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/MetisSupport/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/MetisSupport/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_MetisSupport_SRCS "*.h")
+file(GLOB Eigen_MetisSupport_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_MetisSupport_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/MetisSupport COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/LU/arch/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/LU/arch/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/LU/arch/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_LU_arch_SRCS "*.h")
+file(GLOB Eigen_LU_arch_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_LU_arch_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/LU/arch COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/LU/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/LU/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/LU/CMakeLists.txt	(working copy)
@@ -1,8 +1,8 @@
-FILE(GLOB Eigen_LU_SRCS "*.h")
+file(GLOB Eigen_LU_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_LU_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/LU COMPONENT Devel
   )
 
-ADD_SUBDIRECTORY(arch)
+add_subdirectory(arch)
Index: src/other/Eigen/Eigen/src/plugins/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/plugins/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/plugins/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_plugins_SRCS "*.h")
+file(GLOB Eigen_plugins_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_plugins_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/plugins COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Cholesky/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Cholesky/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Cholesky/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Cholesky_SRCS "*.h")
+file(GLOB Eigen_Cholesky_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Cholesky_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Cholesky COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Householder/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Householder/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Householder/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Householder_SRCS "*.h")
+file(GLOB Eigen_Householder_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Householder_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Householder COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/CholmodSupport/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/CholmodSupport/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/CholmodSupport/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_CholmodSupport_SRCS "*.h")
+file(GLOB Eigen_CholmodSupport_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_CholmodSupport_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/CholmodSupport COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/QR/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/QR/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/QR/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_QR_SRCS "*.h")
+file(GLOB Eigen_QR_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_QR_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/QR COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/UmfPackSupport/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/UmfPackSupport/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/UmfPackSupport/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_UmfPackSupport_SRCS "*.h")
+file(GLOB Eigen_UmfPackSupport_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_UmfPackSupport_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/UmfPackSupport COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Jacobi/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Jacobi/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Jacobi/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Jacobi_SRCS "*.h")
+file(GLOB Eigen_Jacobi_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Jacobi_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Jacobi COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Core/util/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/util/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/util/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Core_util_SRCS "*.h")
+file(GLOB Eigen_Core_util_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_Core_util_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Core/util COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Core/arch/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/arch/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/arch/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-ADD_SUBDIRECTORY(SSE)
-ADD_SUBDIRECTORY(AltiVec)
-ADD_SUBDIRECTORY(NEON)
-ADD_SUBDIRECTORY(Default)
+add_subdirectory(SSE)
+add_subdirectory(AltiVec)
+add_subdirectory(NEON)
+add_subdirectory(Default)
Index: src/other/Eigen/Eigen/src/Core/arch/NEON/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/arch/NEON/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/arch/NEON/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Core_arch_NEON_SRCS "*.h")
+file(GLOB Eigen_Core_arch_NEON_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Core_arch_NEON_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Core/arch/NEON COMPONENT Devel
 )
Index: src/other/Eigen/Eigen/src/Core/arch/Default/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/arch/Default/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/arch/Default/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Core_arch_Default_SRCS "*.h")
+file(GLOB Eigen_Core_arch_Default_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Core_arch_Default_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Core/arch/Default COMPONENT Devel
 )
Index: src/other/Eigen/Eigen/src/Core/arch/AltiVec/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/arch/AltiVec/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/arch/AltiVec/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Core_arch_AltiVec_SRCS "*.h")
+file(GLOB Eigen_Core_arch_AltiVec_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Core_arch_AltiVec_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Core/arch/AltiVec COMPONENT Devel
 )
Index: src/other/Eigen/Eigen/src/Core/arch/SSE/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/arch/SSE/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/arch/SSE/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Core_arch_SSE_SRCS "*.h")
+file(GLOB Eigen_Core_arch_SSE_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Core_arch_SSE_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Core/arch/SSE COMPONENT Devel
 )
Index: src/other/Eigen/Eigen/src/Core/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/CMakeLists.txt	(working copy)
@@ -1,10 +1,10 @@
-FILE(GLOB Eigen_Core_SRCS "*.h")
+file(GLOB Eigen_Core_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Core_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Core COMPONENT Devel
   )
 
-ADD_SUBDIRECTORY(products)
-ADD_SUBDIRECTORY(util)
-ADD_SUBDIRECTORY(arch)
+add_subdirectory(products)
+add_subdirectory(util)
+add_subdirectory(arch)
Index: src/other/Eigen/Eigen/src/Core/products/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Core/products/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Core/products/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Core_Product_SRCS "*.h")
+file(GLOB Eigen_Core_Product_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Core_Product_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Core/products COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Geometry/arch/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Geometry/arch/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Geometry/arch/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_Geometry_arch_SRCS "*.h")
+file(GLOB Eigen_Geometry_arch_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Geometry_arch_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Geometry/arch COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/Geometry/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/Geometry/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/Geometry/CMakeLists.txt	(working copy)
@@ -1,8 +1,8 @@
-FILE(GLOB Eigen_Geometry_SRCS "*.h")
+file(GLOB Eigen_Geometry_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_Geometry_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Geometry COMPONENT Devel
   )
 
-ADD_SUBDIRECTORY(arch)
+add_subdirectory(arch)
Index: src/other/Eigen/Eigen/src/misc/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/misc/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/misc/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_misc_SRCS "*.h")
+file(GLOB Eigen_misc_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_misc_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/misc COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/SVD/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/SVD/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/SVD/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_SVD_SRCS "*.h")
+file(GLOB Eigen_SVD_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_SVD_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/SVD COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/SuperLUSupport/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/SuperLUSupport/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/SuperLUSupport/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_SuperLUSupport_SRCS "*.h")
+file(GLOB Eigen_SuperLUSupport_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_SuperLUSupport_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/SuperLUSupport COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/OrderingMethods/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/OrderingMethods/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/OrderingMethods/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_OrderingMethods_SRCS "*.h")
+file(GLOB Eigen_OrderingMethods_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_OrderingMethods_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/OrderingMethods COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/SparseLU/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/SparseLU/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/SparseLU/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_SparseLU_SRCS "*.h")
+file(GLOB Eigen_SparseLU_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_SparseLU_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/SparseLU COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/PardisoSupport/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/PardisoSupport/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/PardisoSupport/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_PardisoSupport_SRCS "*.h")
+file(GLOB Eigen_PardisoSupport_SRCS "*.h")
 
-INSTALL(FILES 
+install(FILES 
   ${Eigen_PardisoSupport_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/PardisoSupport COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/StlSupport/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/StlSupport/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/StlSupport/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_StlSupport_SRCS "*.h")
+file(GLOB Eigen_StlSupport_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_StlSupport_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/StlSupport COMPONENT Devel
   )
Index: src/other/Eigen/Eigen/src/SparseCholesky/CMakeLists.txt
===================================================================
--- src/other/Eigen/Eigen/src/SparseCholesky/CMakeLists.txt	(revision 54114)
+++ src/other/Eigen/Eigen/src/SparseCholesky/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-FILE(GLOB Eigen_SparseCholesky_SRCS "*.h")
+file(GLOB Eigen_SparseCholesky_SRCS "*.h")
 
-INSTALL(FILES
+install(FILES
   ${Eigen_SparseCholesky_SRCS}
   DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/SparseCholesky COMPONENT Devel
   )
Index: src/other/osl/shaders/CMakeLists.txt
===================================================================
--- src/other/osl/shaders/CMakeLists.txt	(revision 54114)
+++ src/other/osl/shaders/CMakeLists.txt	(working copy)
@@ -12,31 +12,31 @@
     #message (STATUS "  bin ${CMAKE_CURRENT_BINARY_DIR}")
 
     # Get the filename (from the full path) without the extension
-    GET_FILENAME_COMPONENT( oslsrc_we ${oslsrc} NAME_WE )
+    get_filename_component( oslsrc_we ${oslsrc} NAME_WE )
 
     #message(STATUS "OSL RAW = ${oslsrc_we}")
 
     # Set the destination of the output file (changes .osl by .oso)
-    SET(osofile "${CMAKE_CURRENT_BINARY_DIR}/${oslsrc_we}.oso")
+    set(osofile "${CMAKE_CURRENT_BINARY_DIR}/${oslsrc_we}.oso")
 
-    SET( ${objlist} ${${objlist}} ${osofile} )
+    set( ${objlist} ${${objlist}} ${osofile} )
 
     #message (STATUS "  obj list now ${${objlist}}")
     #message(STATUS "${OSLHOME}/bin/oslc ${oslsrc}")
 
     # Compile the shader with ./oslc
-    ADD_CUSTOM_COMMAND ( OUTPUT ${osofile}
+    add_custom_command ( OUTPUT ${osofile}
 	COMMAND ${OSLHOME}/bin/oslc ${oslsrc}
 	DEPENDS ${${headers}} ${oslsrc} ${CMAKE_CURRENT_SOURCE_DIR}/stdosl.h ${OSLHOME}/bin/oslc
 	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
 endmacro ()
 
-FILE(GLOB shader_headers "*.h")
-FILE(GLOB shader_source "*.osl")
+file(GLOB shader_headers "*.h")
+file(GLOB shader_source "*.osl")
 
-FOREACH(_shadername ${shader_source})
+foreach(_shadername ${shader_source})
     osl_compile (${_shadername} shader_objs shader_headers)
-ENDFOREACH()
+endforeach()
 
 add_custom_target (shaders ALL
     DEPENDS ${shader_objs}
Index: src/other/osl/CMakeLists.txt
===================================================================
--- src/other/osl/CMakeLists.txt	(revision 54114)
+++ src/other/osl/CMakeLists.txt	(working copy)
@@ -1,3 +1,3 @@
 message("Compiling OSL")
 
-ADD_SUBDIRECTORY(shaders)
+add_subdirectory(shaders)
Index: src/other/incrTcl/itcl/CMakeLists.txt
===================================================================
--- src/other/incrTcl/itcl/CMakeLists.txt	(revision 54114)
+++ src/other/incrTcl/itcl/CMakeLists.txt	(working copy)
@@ -37,39 +37,39 @@
 # *******************************************************************
 
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # set CMake project name
-PROJECT(ITCL)
+project(ITCL)
 
 # Without Tcl libraries AND sources, we can't build Tk.  Use TCL_SRC_PREFIX
 # and TCL_BIN_PREFIX to identify the location of the Tcl we are to use.
-IF(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
-  SET(TCL_INCLUDE_DIRS ${TCL_SRC_PREFIX}/generic ${TCL_SRC_PREFIX}/libtommath)
-  IF(WIN32)
-    SET(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/win)
-  ELSE(WIN32)
-    SET(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/unix)
-  ENDIF(WIN32)
+if(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
+  set(TCL_INCLUDE_DIRS ${TCL_SRC_PREFIX}/generic ${TCL_SRC_PREFIX}/libtommath)
+  if(WIN32)
+    set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/win)
+  else(WIN32)
+    set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/unix)
+  endif(WIN32)
   # Locate the TCL libraries.  We allow these to be overridden so that a parent
   # build can use a CMake target instead of an actual library path.
-  IF(NOT TCL_LIBRARY)
+  if(NOT TCL_LIBRARY)
     find_library(TCL_LIBRARY tcl PATHS ${TCL_BIN_PREFIX}/lib)
-  ENDIF(NOT TCL_LIBRARY)
-  IF(NOT TCL_STUB_LIBRARY)
+  endif(NOT TCL_LIBRARY)
+  if(NOT TCL_STUB_LIBRARY)
     find_library(TCL_STUB_LIBRARY tclstub PATHS ${TCL_BIN_PREFIX}/lib)
-  ENDIF(NOT TCL_STUB_LIBRARY)
-  IF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
-    MESSAGE(FATAL_ERROR "Could not find Tcl libraries in ${TCL_BIN_PREFIX} - please specify the parent directory for the libraries in the TCL_BIN_PREFIX variable (e.g. \${TCL_BIN_PREFIX}/lib)")
-  ENDIF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
-ELSE(TCL_SRC_PREFIX and TCL_BIN_PREFIX)
-  MESSAGE(FATAL_ERROR "Please specify the source and library locations of Tcl using the TCL_SRC_PREFIX and TCL_BIN_PREFIX variables.")
-ENDIF(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
-MARK_AS_ADVANCED(TCL_LIBRARY)
-MARK_AS_ADVANCED(TCL_STUB_LIBRARY)
+  endif(NOT TCL_STUB_LIBRARY)
+  if(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
+    message(FATAL_ERROR "Could not find Tcl libraries in ${TCL_BIN_PREFIX} - please specify the parent directory for the libraries in the TCL_BIN_PREFIX variable (e.g. \${TCL_BIN_PREFIX}/lib)")
+  endif(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
+else(TCL_SRC_PREFIX and TCL_BIN_PREFIX)
+  message(FATAL_ERROR "Please specify the source and library locations of Tcl using the TCL_SRC_PREFIX and TCL_BIN_PREFIX variables.")
+endif(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
+mark_as_advanced(TCL_LIBRARY)
+mark_as_advanced(TCL_STUB_LIBRARY)
 
 # build shared libs by default
 set(BUILD_SHARED_LIBS ON)
@@ -78,11 +78,11 @@
 set(BUILD_STATIC_LIBS ON)
 
 # version numbers
-SET(ITCL_VERSION_MAJOR 3)
-SET(ITCL_VERSION_MINOR 4)
-SET(ITCL_PATCH_LEVEL ${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR})
+set(ITCL_VERSION_MAJOR 3)
+set(ITCL_VERSION_MINOR 4)
+set(ITCL_PATCH_LEVEL ${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR})
 
-SET(ITCL_VERSION "${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR}")
+set(ITCL_VERSION "${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR}")
 
 #---------------------------------------------------------------------
 # The following logic is what allows binaries to run successfully in
@@ -90,49 +90,49 @@
 # identifying the necessity of setting CMAKE_INSTALL_NAME_DIR on OSX.
 
 # use, i.e. don't skip the full RPATH for the build tree
-SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+set(CMAKE_SKIP_BUILD_RPATH  FALSE)
 
 # when building, don't use the install RPATH already
 # (but later on when installing)
-SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
 # the RPATH/INSTALL_NAME_DIR to be used when installing
 if (NOT APPLE)
-  SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
+  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
 endif(NOT APPLE)
-SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 
 # add the automatically determined parts of the RPATH which point to
 # directories outside the build tree to the install RPATH
-SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 #----------------------------------------------------------------------------
 # The location in which to install Tcl.  Only do this if CMAKE_INSTALL_PREFIX 
 # hasn't been set already, to try and allow parent builds (if any) some control.
-IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-  IF(NOT WIN32)
-    IF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
-    ELSE ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr")
-    ENDIF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-  ENDIF(NOT WIN32)
-  SET(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
-  SET(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
-ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+  if(NOT WIN32)
+    if ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
+    else ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr")
+    endif ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+  endif(NOT WIN32)
+  set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
+  set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
+endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 #-----------------------------------------------------------------------------
 # Output directories.
 
-IF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
-ENDIF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-  SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
-ENDIF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
-  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
-ENDIF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
+endif(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
+endif(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
+endif(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
 
 #----------------------------------------------------------------------------
 # First, get some standard options out of the way - things that are constant
@@ -154,27 +154,27 @@
 #--------------------------------------------------------------------
 add_definitions(-DTCL_THREADS=1)
 
-MACRO(TCL_CHECK_INCLUDE_FILE filename var)
-  CHECK_INCLUDE_FILE(${filename} ${var})
-  IF(${var})
+macro(TCL_CHECK_INCLUDE_FILE filename var)
+  check_include_file(${filename} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(TCL_CHECK_INCLUDE_FILE)
+  endif(${var})
+endmacro(TCL_CHECK_INCLUDE_FILE)
 
-TCL_CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
-TCL_CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-TCL_CHECK_INCLUDE_FILE(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
-IF(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(sys/types.h HAVE_SYS_TYPES_H)
+tcl_check_include_file(sys/stat.h HAVE_SYS_STAT_H)
+tcl_check_include_file(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
+if(NOT HAVE_SYS_FSTATFS_H)
   add_definitions(-DNO_FSTATFS=1)
-ENDIF(NOT HAVE_SYS_FSTATFS_H)
-TCL_CHECK_INCLUDE_FILE(memory.h HAVE_MEMORY_H)
-TCL_CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-TCL_CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
-TCL_CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
-TCL_CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
+endif(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(memory.h HAVE_MEMORY_H)
+tcl_check_include_file(strings.h HAVE_STRINGS_H)
+tcl_check_include_file(inttypes.h HAVE_INTTYPES_H)
+tcl_check_include_file(stdint.h HAVE_STDINT_H)
+tcl_check_include_file(unistd.h HAVE_UNISTD_H)
 
 
-SET(ITCL_GENERIC_SRCS
+set(ITCL_GENERIC_SRCS
   generic/itclStubInit.c
   generic/itclStubLib.c
   generic/itcl_bicmds.c
@@ -189,17 +189,17 @@
   generic/itcl_util.c
   )
 
-SET(ITCL_WIN_SRCS
+set(ITCL_WIN_SRCS
   win/dllEntryPoint.c
   )
 
-SET(ITCL_STUB_SRCS
+set(ITCL_STUB_SRCS
   generic/itclStubLib.c
   )
 
 
-SET(ITCL_INCLUDE_DIRS ${ITCL_SOURCE_DIR}/generic ${ITCL_BINARY_DIR}/include)
-MARK_AS_ADVANCED(ITCL_INCLUDE_DIRS)
+set(ITCL_INCLUDE_DIRS ${ITCL_SOURCE_DIR}/generic ${ITCL_BINARY_DIR}/include)
+mark_as_advanced(ITCL_INCLUDE_DIRS)
 
 include_directories(
   ${TCL_INCLUDE_DIRS}
@@ -208,15 +208,15 @@
   ${CMAKE_SOURCE_DIR}/include
   )
 
-IF(WIN32)
+if(WIN32)
   add_library(itcl ${ITCL_GENERIC_SRCS} ${ITCL_WIN_SRCS})
-ELSE(WIN32)
+else(WIN32)
   add_library(itcl ${ITCL_GENERIC_SRCS})
-ENDIF(WIN32)
+endif(WIN32)
 target_link_libraries(itcl ${M_LIBRARY} ${TCL_STUB_LIBRARIES} )
-SET_TARGET_PROPERTIES(itcl PROPERTIES PREFIX "lib")
-SET_TARGET_PROPERTIES(itcl PROPERTIES VERSION ${ITCL_VERSION} SOVERSION ${ITCL_VERSION_MAJOR})
-SET_PROPERTY(TARGET itcl APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
+set_target_properties(itcl PROPERTIES PREFIX "lib")
+set_target_properties(itcl PROPERTIES VERSION ${ITCL_VERSION} SOVERSION ${ITCL_VERSION_MAJOR})
+set_property(TARGET itcl APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
 install(TARGETS itcl 
   RUNTIME DESTINATION ${BIN_DIR}
   LIBRARY DESTINATION ${LIB_DIR}
@@ -227,9 +227,9 @@
   RUNTIME DESTINATION ${BIN_DIR}
   LIBRARY DESTINATION ${LIB_DIR}
   ARCHIVE DESTINATION ${LIB_DIR})
-SET_PROPERTY(TARGET itclstub APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
+set_property(TARGET itclstub APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
 
-TCL_PKGINDEX(itcl Itcl "${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR}")
+tcl_pkgindex(itcl Itcl "${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR}")
 
 if(NOT CMAKE_CONFIGURATION_TYPES)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/library/itcl.tcl ${CMAKE_BINARY_DIR}/lib/itcl${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR}/itcl.tcl COPYONLY)
@@ -241,7 +241,7 @@
 endif(NOT CMAKE_CONFIGURATION_TYPES)
 install(FILES library/itcl.tcl DESTINATION lib/itcl${ITCL_VERSION_MAJOR}.${ITCL_VERSION_MINOR})
 
-SET(ITCL_HDRS
+set(ITCL_HDRS
   generic/itcl.h
   generic/itclDecls.h
   generic/itclInt.h
